%define		_status		alpha
%define		_pearname	Validate_CH
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Validation class for CH
Summary(pl.UTF-8):	%{_pearname} - Klasa sprawdzająca poprawność dla Szwajcarii
Name:		php-pear-%{_pearname}
Version:	0.6.0
Release:	4
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c8aa959cab643d8e55798f604f01928f
URL:		http://pear.php.net/package/Validate_CH/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear
Requires:	php-pear-Validate >= 0.5.0
Obsoletes:	php-pear-Validate_CH-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for CH such as:
- SSN
- Postal Code
- Student ID

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności dla Szwajcarii danych takich jak:
- numer ubezpieczenia społecznego (SSN)
- kod pocztowy
- numer identyfikacyjny studenta

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/CH.php
%dir %{php_pear_dir}/data/Validate_CH
%{php_pear_dir}/data/Validate_CH/CH_postcodes.txt
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Validate_CH.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 99c5995
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 586f944
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> ff2eaee
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> db6ea01
- updated deps with pearize.sh
- release 2

* Sun Jan 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 8b212d7
- updated to 0.6.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 6168ecf
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d2a4101
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d546410
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 2c28487
- BR rpm-build macros >= 1.300 for %pear_ macros

* Fri Apr 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 508fb2a
- missing dirs, pl cosmetic, explicit Epoch (used in -tests)

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> 4fd4e8e
- new

